Bug 36946 - Slide transitions in Impress should be sorted in meaningful categories (Usability improvement)
Summary: Slide transitions in Impress should be sorted in meaningful categories (Usabi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium enhancement
Assignee: Andrzej Hunt
QA Contact:
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2011-05-07 13:48 UTC by gleppert
Modified: 2017-06-02 18:12 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2011-05-07 13:48:05 UTC
Background: Impress supports 72 slide transitions (including 3D transitions on Linux). They are presented in a long list without any icons, categories or groupings of similar variants of transitions. It can be very confusing to find the right transition.

From a user perspective, this can easily be improved. Please add categories, icons or groupings of similar variants of slide transitions.

As a comparison, competing presentation programmes are doing a better job in this regard.

There is a bug entry for this issue in the OpenOffice.org bugzilla: http://openoffice.org/bugzilla/show_bug.cgi?id=108270.
Comment 1 Rob Snelders 2011-07-21 12:38:29 UTC
I'm working on this bug
Comment 2 Rob Snelders 2011-11-13 12:44:44 UTC
I haven't had the time for this in a long time. So for now I´ll quit.
Comment 3 Rob Snelders 2011-11-13 12:45:39 UTC
sd/source/ui/animations/SlideTransitionPane.hrc is the file where the transitions are displayed.
Comment 4 Björn Michaelsen 2011-12-23 12:04:46 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 gleppert 2012-03-19 04:28:13 UTC
This request for enhancement is still valid in the current version of LibreOffice. 

Isn't this an EasyHack? I added "ProposedEasyHack" to the Whiteboard.
Comment 6 Andrzej Hunt 2012-03-29 23:59:02 UTC
I'm halfway through fixing this at the moment -- categories work, but I still need to add some names for them, and fix a minor UI issue.
Comment 7 Björn Michaelsen 2012-03-30 10:56:01 UTC
As it has been picked up and there seems to be good progress, making this a real EasyHack. Also CC'ing thorsten for Impress mentoring if needed.
Comment 8 gleppert 2012-06-01 10:44:11 UTC
Is this one going into LibreOffice 3.6? 
The last comment was two months ago.
Thanks!
Comment 9 Rob Snelders 2012-12-20 22:13:28 UTC
Resetting this to default due to inactivity
Comment 10 Gerry 2013-02-23 20:53:49 UTC
@ A. Hunt: Thanks for working on this bug. Was it possible for you complete this enhancement? If not, please upload your half-done work to this bug report, so that another person can start off from your work. This would be great. Thanks!
Comment 11 Andrzej Hunt 2013-09-08 17:03:35 UTC
Hi. Sorry that patch got a bit lost... I've started working on this again.

(Changing the flat list into a tree-listbox is done, I just need to decide how to best to store the categories for the transitions themselves and implement their retrieval.)
Comment 12 Andrzej Hunt 2013-09-15 14:39:25 UTC
I've been working on implementing this as a tree of transitions, but looking at the current Custom Animations Dialog (Implemented in CustomAnimationList.cxx afaict) it looks like it might be better just to have dividers in the list instead of having a tree with categories needing expanding?

I.e. I'm wondering whether we'd prefer:
Tree:
*No Transition
*->Category1
  |->Transition 1
  |->Transition 2
*->Category2
  |->Transition X
  |->....


Vs List:
*No Transition
--Category 1--
*Transition 1
*Transition 2
--Category 2--
*Transition X
*....

I think the list is probably easier to use and doesn't require clicking on individual categories to expand them, on the other hand the transition list is quite long, so this would still required lots of scrolling.
Comment 13 Björn Michaelsen 2013-10-04 18:46:01 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 14 Bastián Díaz 2014-10-20 18:07:07 UTC
For this section the short term, I think there should be two drop down menus in the sidebar. On the one hand showing the type (name) of the transition and the other variants of transitions. This would shorten far the long list that is currently displayed.
Comment 15 Tor Lillqvist 2015-10-29 16:18:50 UTC
I guess the only consensus is that the current situation is not good. A list that is not sorted in any meaningful way (even if there is some "clustering" of similar transitions, but then for instance two different dissolves in widely separate locations).

So something needs to be done, and (as always) preferably in small steps that can be achieved without large amounts of work (which might not be available). For instance, I don't think I have the skills or time to design graphical UI elements for categories of transitions. (Hint, hint.)

Would a good first step be to divide the list into parts, with dividers, as suggested in the second example in comment #12? I guess, especially taking L10N issues into consideration, that my minimal patch that simply sorts the current list https://gerrit.libreoffice.org/#/c/19648/ is not a good idea, as it might move related transitions (that currently luckily are grouped) far from each others in languages where the more specific subtype of a transition comes first in its name?
Comment 16 Thorsten Behrens (CIB) 2015-10-29 18:13:11 UTC
(In reply to Tor Lillqvist from comment #15)
> Would a good first step be to divide the list into parts, with dividers, as
> suggested in the second example in comment #12?
>
Yep, from my side.
Comment 17 Yousuf Philips (jay) 2015-10-31 01:10:00 UTC
Moving variants to a separate listbox is suggested in bug 87621. Alphabetically sorting the list and also grouping them is suggested in bug 87613.
Comment 18 Katarina Behrens (CIB) 2015-11-05 11:12:49 UTC
No easy hack at all
Comment 19 Commit Notification 2015-11-05 21:34:31 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95e13b89ecb70eb0a03a0c68f0f1e41d02acef22

tdf#36946: Organise transitions hierarchically

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Xisco Faulí 2016-09-15 22:22:27 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?